Package com.sas.lsaf.security.group

## Class InvalidGroupMemberException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sas.lsaf.core.AbstractCheckedException
      - - com.sas.lsaf.security.group.GroupException
        - - com.sas.lsaf.security.group.InvalidGroupMemberException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class InvalidGroupMemberException
      extends GroupException

  Thrown when a group is updated with new members that violate membership contracts.

  The typical case is when a member to add to the group is NOT a member of the context.

  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidGroupMemberException​(java.util.Set<Principal> invalidMembers, java.lang.String message)` | Constructs an `InvalidGroupMemberException` with the specified invalid members and detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<Principal>` | `getInvalidMembers()` | Gets the set of members that are invalid additions to the group.

    - ### Methods inherited from class com.sas.lsaf.core.AbstractCheckedException

      `getMessage, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidGroupMemberException

          public InvalidGroupMemberException​(java.util.Set<Principal> invalidMembers,
                                             java.lang.String message)

      Constructs an `InvalidGroupMemberException` with the specified invalid members and detail message.
      Parameters:
        `invalidMembers` - the set of members that are invalid additions to the group.
        `message` - the detail message (which is saved for later retrieval by the `AbstractCheckedException.getMessage()` method).

  - ### Method Detail

    - #### getInvalidMembers

          public java.util.Set<Principal> getInvalidMembers()

      Gets the set of members that are invalid additions to the group.
      Returns:
        The set of members that are invalid additions to the group.